// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0-devel
// 	protoc        v3.13.0
// source: comprobacion.proto

package comprobacion

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Message struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Body string `protobuf:"bytes,1,opt,name=Body,proto3" json:"Body,omitempty"`
}

func (x *Message) Reset() {
	*x = Message{}
	if protoimpl.UnsafeEnabled {
		mi := &file_comprobacion_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Message) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Message) ProtoMessage() {}

func (x *Message) ProtoReflect() protoreflect.Message {
	mi := &file_comprobacion_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Message.ProtoReflect.Descriptor instead.
func (*Message) Descriptor() ([]byte, []int) {
	return file_comprobacion_proto_rawDescGZIP(), []int{0}
}

func (x *Message) GetBody() string {
	if x != nil {
		return x.Body
	}
	return ""
}

var File_comprobacion_proto protoreflect.FileDescriptor

var file_comprobacion_proto_rawDesc = []byte{
	0x0a, 0x12, 0x63, 0x6f, 0x6d, 0x70, 0x72, 0x6f, 0x62, 0x61, 0x63, 0x69, 0x6f, 0x6e, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0c, 0x63, 0x6f, 0x6d, 0x70, 0x72, 0x6f, 0x62, 0x61, 0x63, 0x69,
	0x6f, 0x6e, 0x22, 0x1d, 0x0a, 0x07, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x12, 0x0a,
	0x04, 0x42, 0x6f, 0x64, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x42, 0x6f, 0x64,
	0x79, 0x32, 0x52, 0x0a, 0x13, 0x43, 0x6f, 0x6d, 0x70, 0x72, 0x6f, 0x62, 0x61, 0x63, 0x69, 0x6f,
	0x6e, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x3b, 0x0a, 0x09, 0x43, 0x6f, 0x6d, 0x70,
	0x72, 0x6f, 0x62, 0x61, 0x72, 0x12, 0x15, 0x2e, 0x63, 0x6f, 0x6d, 0x70, 0x72, 0x6f, 0x62, 0x61,
	0x63, 0x69, 0x6f, 0x6e, 0x2e, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x1a, 0x15, 0x2e, 0x63,
	0x6f, 0x6d, 0x70, 0x72, 0x6f, 0x62, 0x61, 0x63, 0x69, 0x6f, 0x6e, 0x2e, 0x4d, 0x65, 0x73, 0x73,
	0x61, 0x67, 0x65, 0x22, 0x00, 0x42, 0x10, 0x5a, 0x0e, 0x2e, 0x3b, 0x63, 0x6f, 0x6d, 0x70, 0x72,
	0x6f, 0x62, 0x61, 0x63, 0x69, 0x6f, 0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_comprobacion_proto_rawDescOnce sync.Once
	file_comprobacion_proto_rawDescData = file_comprobacion_proto_rawDesc
)

func file_comprobacion_proto_rawDescGZIP() []byte {
	file_comprobacion_proto_rawDescOnce.Do(func() {
		file_comprobacion_proto_rawDescData = protoimpl.X.CompressGZIP(file_comprobacion_proto_rawDescData)
	})
	return file_comprobacion_proto_rawDescData
}

var file_comprobacion_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_comprobacion_proto_goTypes = []interface{}{
	(*Message)(nil), // 0: comprobacion.Message
}
var file_comprobacion_proto_depIdxs = []int32{
	0, // 0: comprobacion.ComprobacionService.Comprobar:input_type -> comprobacion.Message
	0, // 1: comprobacion.ComprobacionService.Comprobar:output_type -> comprobacion.Message
	1, // [1:2] is the sub-list for method output_type
	0, // [0:1] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_comprobacion_proto_init() }
func file_comprobacion_proto_init() {
	if File_comprobacion_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_comprobacion_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Message); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_comprobacion_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_comprobacion_proto_goTypes,
		DependencyIndexes: file_comprobacion_proto_depIdxs,
		MessageInfos:      file_comprobacion_proto_msgTypes,
	}.Build()
	File_comprobacion_proto = out.File
	file_comprobacion_proto_rawDesc = nil
	file_comprobacion_proto_goTypes = nil
	file_comprobacion_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// ComprobacionServiceClient is the client API for ComprobacionService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type ComprobacionServiceClient interface {
	Comprobar(ctx context.Context, in *Message, opts ...grpc.CallOption) (*Message, error)
}

type comprobacionServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewComprobacionServiceClient(cc grpc.ClientConnInterface) ComprobacionServiceClient {
	return &comprobacionServiceClient{cc}
}

func (c *comprobacionServiceClient) Comprobar(ctx context.Context, in *Message, opts ...grpc.CallOption) (*Message, error) {
	out := new(Message)
	err := c.cc.Invoke(ctx, "/comprobacion.ComprobacionService/Comprobar", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ComprobacionServiceServer is the server API for ComprobacionService service.
type ComprobacionServiceServer interface {
	Comprobar(context.Context, *Message) (*Message, error)
}

// UnimplementedComprobacionServiceServer can be embedded to have forward compatible implementations.
type UnimplementedComprobacionServiceServer struct {
}

func (*UnimplementedComprobacionServiceServer) Comprobar(context.Context, *Message) (*Message, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Comprobar not implemented")
}

func RegisterComprobacionServiceServer(s *grpc.Server, srv ComprobacionServiceServer) {
	s.RegisterService(&_ComprobacionService_serviceDesc, srv)
}

func _ComprobacionService_Comprobar_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Message)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ComprobacionServiceServer).Comprobar(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/comprobacion.ComprobacionService/Comprobar",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ComprobacionServiceServer).Comprobar(ctx, req.(*Message))
	}
	return interceptor(ctx, in, info, handler)
}

var _ComprobacionService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "comprobacion.ComprobacionService",
	HandlerType: (*ComprobacionServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Comprobar",
			Handler:    _ComprobacionService_Comprobar_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "comprobacion.proto",
}
